OpenMesh

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Types | Public Member Functions | Protected Slots | Protected Member Functions | List of all members
DecimaterViewerWidget Class Reference
Inheritance diagram for DecimaterViewerWidget:
[legend]
Collaboration diagram for DecimaterViewerWidget:
[legend]

## Public Types

typedef MeshViewerWidget | inherited_t
typedef Decimater::DecimaterT < mesh_t > | decimater_t
typedef Decimater::ModQuadricT < mesh_t >::Handle | mod_quadric_t
typedef Decimater::ModNormalFlippingT < mesh_t >::Handle | mod_nf_t
typedef std::auto_ptr < decimater_t > | decimater_o
Public Types inherited from MeshViewerWidget
typedef MeshViewerWidgetT< Mesh > | Base
Public Types inherited from MeshViewerWidgetT< Mesh >
typedef Mesh | Mesh
typedef OpenMesh::StripifierT < Mesh > | MyStripifier
Public Types inherited from QGLViewerWidget
typedef QGLWidget | Super
Public Types inherited from MeshViewerWidgetT< MyMesh >
typedef MyMesh | Mesh
typedef OpenMesh::StripifierT < Mesh > | MyStripifier

## Public Member Functions

| DecimaterViewerWidget (QWidget *_parent=0)
| default constructor
| ~DecimaterViewerWidget ()
| destructor
bool | open_mesh (const char *_filename, OpenMesh::IO::Options _opt)
| open mesh
Public Member Functions inherited from MeshViewerWidget
| MeshViewerWidget (QWidget *parent=0)
| default constructor
OpenMesh::IO::Options & | options ()
const OpenMesh::IO::Options & | options () const
void | setOptions (const OpenMesh::IO::Options &opts)
void | open_mesh_gui (QString fname)
void | open_texture_gui (QString fname)
| MeshViewerWidget (QWidget *_parent=0)
| default constructor
| ~MeshViewerWidget ()
| destructor
Mesh & | orig_mesh ()
const Mesh & | orig_mesh () const
Public Member Functions inherited from MeshViewerWidgetT< Mesh >
| MeshViewerWidgetT (QWidget *_parent=0)
| default constructor
| ~MeshViewerWidgetT ()
| destructor
virtual bool | open_texture (const char *_filename)
| load texture
bool | set_texture (QImage &_texsrc)
void | enable_strips ()
void | disable_strips ()
Mesh & | mesh ()
const Mesh & | mesh () const
Public Member Functions inherited from QGLViewerWidget
| QGLViewerWidget (QWidget *_parent=0)
| QGLViewerWidget (QGLFormat &_fmt, QWidget *_parent=0)
void | set_scene_pos (const OpenMesh::Vec3f &_center, float _radius)
void | view_all ()
QAction * | add_draw_mode (const std::string &_s)
| add draw mode to popup menu, and return the QAction created
void | del_draw_mode (const std::string &_s)
| delete draw mode from popup menu
const std::string & | current_draw_mode () const
float | radius () const
const OpenMesh::Vec3f & | center () const
const GLdouble * | modelview_matrix () const
const GLdouble * | projection_matrix () const
float | fovy () const
QAction * | findAction (const char *name)
void | addAction (QAction *action, const char *name)
void | removeAction (const char *name)
void | removeAction (QAction *action)
Public Member Functions inherited from MeshViewerWidgetT< MyMesh >
| MeshViewerWidgetT (QWidget *_parent=0)
| default constructor
| ~MeshViewerWidgetT ()
| destructor
virtual bool | open_texture (const char *_filename)
| load texture
bool | set_texture (QImage &_texsrc)
void | enable_strips ()
void | disable_strips ()
Mesh & | mesh ()
const Mesh & | mesh () const

## Protected Slots

void | animate (void)

## Protected Member Functions

virtual void | keyPressEvent (QKeyEvent *_event)

## Additional Inherited Members

Public Slots inherited from MeshViewerWidget
void | query_open_mesh_file ()
void | query_open_texture_file ()
Protected Attributes inherited from MeshViewerWidget
Mesh | orig_mesh_

The documentation for this class was generated from the following files:

- OpenMesh/Apps/Decimating/DecimaterViewerWidget.hh
- OpenMesh/Apps/Decimating/DecimaterViewerWidget.cc